
package consultaResponse;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IFX }
     * 
     */
    public IFX createIFX() {
        return new IFX();
    }

    /**
     * Create an instance of {@link IFX.SignoffRs }
     * 
     */
    public IFX.SignoffRs createIFXSignoffRs() {
        return new IFX.SignoffRs();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRs }
     * 
     */
    public IFX.PresSvcRs createIFXPresSvcRs() {
        return new IFX.PresSvcRs();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRs.BillInqRs }
     * 
     */
    public IFX.PresSvcRs.BillInqRs createIFXPresSvcRsBillInqRs() {
        return new IFX.PresSvcRs.BillInqRs();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRs.BillInqRs.BillRec }
     * 
     */
    public IFX.PresSvcRs.BillInqRs.BillRec createIFXPresSvcRsBillInqRsBillRec() {
        return new IFX.PresSvcRs.BillInqRs.BillRec();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRs.BillInqRs.BillRec.BillInfo }
     * 
     */
    public IFX.PresSvcRs.BillInqRs.BillRec.BillInfo createIFXPresSvcRsBillInqRsBillRecBillInfo() {
        return new IFX.PresSvcRs.BillInqRs.BillRec.BillInfo();
    }

    /**
     * Create an instance of {@link IFX.SignonRs }
     * 
     */
    public IFX.SignonRs createIFXSignonRs() {
        return new IFX.SignonRs();
    }

    /**
     * Create an instance of {@link IFX.SignoffRs.CustId }
     * 
     */
    public IFX.SignoffRs.CustId createIFXSignoffRsCustId() {
        return new IFX.SignoffRs.CustId();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRs.BillInqRs.Status }
     * 
     */
    public IFX.PresSvcRs.BillInqRs.Status createIFXPresSvcRsBillInqRsStatus() {
        return new IFX.PresSvcRs.BillInqRs.Status();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRs.BillInqRs.BillRec.BillInfo.BillSummAmt }
     * 
     */
    public IFX.PresSvcRs.BillInqRs.BillRec.BillInfo.BillSummAmt createIFXPresSvcRsBillInqRsBillRecBillInfoBillSummAmt() {
        return new IFX.PresSvcRs.BillInqRs.BillRec.BillInfo.BillSummAmt();
    }

    /**
     * Create an instance of {@link IFX.SignonRs.CustId }
     * 
     */
    public IFX.SignonRs.CustId createIFXSignonRsCustId() {
        return new IFX.SignonRs.CustId();
    }

}
